# Generated from xcpretty-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name xcpretty

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: xcodebuild formatter done right
License: MIT
URL: https://github.com/supermarin/xcpretty
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rubocop) >= 0.34.0
# BuildRequires: rubygem(rubocop) < 0.35
# BuildRequires: rubygem(rspec) = 2.99.0
# BuildRequires: rubygem(cucumber) >= 1.0
# BuildRequires: rubygem(cucumber) < 2
BuildArch: noarch

%description
Xcodebuild formatter designed to be piped with `xcodebuild`,
and thus keeping 100% compatibility.
It has modes for CI, running tests (RSpec dot-style),
and it can also mine Bitcoins.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/xcpretty
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.hound.yml
%{gem_instdir}/.kick
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/assets
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/features
%{gem_instdir}/spec
%{gem_instdir}/xcpretty.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.3.0-1
- Initial package
